import requests, re,json
from bs4 import BeautifulSoup
from pprint import pprint
# url ="https://sports.yahoo.com/mlb/scoreboard/"
# response = requests.get(url)
# html = response.text
r = requests.get(f"https://sports.yahoo.com/mlb/scoreboard").text
soup = BeautifulSoup(r, 'html.parser')



game_lists = soup.find_all('ul')

data = []

for game_list in game_lists:
    games = game_list.find_all('li')

    for game in games:
        teams = game.find_all('span', {'data-tst': 'first-name'})
        if len(teams) >= 2:
            # team1_name = teams[0].text + ' ' + teams[0].find_next('div', {'class': 'Fw(n) Fz(12px)'}).text
            team1_name = teams[0].find_next('div', {'class': 'Fw(n) Fz(12px)'}).text
            team2_name = teams[1].text + ' ' + teams[1].find_next('div', {'class': 'Fw(n) Fz(12px)'}).text

            scores = game.find_all('div', {'class': 'Whs(nw) D(tbc) Va(m) Fw(b) Fz(27px)'})
            score1 = scores[0].text.strip() if scores else ''
            score2 = scores[1].text.strip() if len(scores) >= 2 else "Game hasn't started"


            inning = game.find('div', {'class': 'Ta(end) Cl(b) Fw(b) YahooSans Fw(700)! Fz(11px)!'})
            innings = inning.text.strip() if inning else "Game hasn't started"

            network = game.find('div', {'class': 'Ta(start) D(b) C(secondary-text)'})
            networks = network.find('span').text.strip() if network else ''

            time= game.find('div', {'class': 'status'})
            time_info = time.find('span').text.strip() if time else "Game hasn't started"


            image = game.find('img')
            image_source = image['src'] if image and 'src' in image.attrs else 'Image N/A'

            print('Teams:', team1_name, 'vs', team2_name)
            print('Score:', score1)
            print('Score2:', score2)
            print('Inning:', innings)
            print('Network:', networks)
            print('Time:', time_info)
            print('icon:', image_source)
            print('---')

            data.append(
            #     'title': f'{team1_name}  vs  {team2_name} | {score1} - {score2} |\n Inning: {innings}  {networks} ',
            #     # 'team2': team2_name,
            #     # 'score': score1,
            #     # 'score2': score2,
            #     # 'inning': inning,
            #     # 'network': network,
            #     'thumbnail':image_source,
            #     "type":"item",
            #     "link":""

            # },
            {
                  "search_json": team1_name,
                  "link": "https://magnetic1.ratpack.appboxes.co/MAD_TITAN_SPORTS/SPORTS/MLBgames/MLBLIVE.json",
                  "type": "item",
                  "orig_type": "MLB",
                  "sport": "MLB",
                  "title": f'{team1_name}  vs  {team2_name} | {score1} - {score2} |\n Inning: {innings}  {networks} ',
                  "thumbnail": "https://magnetic1.ratpack.appboxes.co/jet/PICS/MLB_VS/Yankees/Yankees-vs-Padres.jpg",
                #   "summary": "Direct[COLORblue] San Diego Padres - New York Yankees (MLB)[/COLOR]\n[COLORyellow]05/28 01:35 PM-EST [/COLOR]\n05/28 06:35 PM\n05/28 10:35 AM PST"
            })



output = {
    "items": data
}
with open('yahoo_mlb scores.json', 'w') as json_file:
    json.dump(output, json_file, indent=4)






        
          